oauth_config = {}
begin
  config = Rails.application.config_for(:configuration)
  oauth_config = config.dig('oauth', 'gitlink') || {}
  raise 'oauth educoder config missing' if oauth_config.blank?
rescue => ex
  raise ex if Rails.env.production?

  puts %Q{\033[33m [warning] gitlink oauth config or configuration.yml missing,
           please add it or execute 'cp config/configuration.yml.example config/configuration.yml' \033[0m}
end

GitlinkOauth.client_id = oauth_config['client_id']
GitlinkOauth.client_secret = oauth_config['client_secret']
GitlinkOauth.base_url = oauth_config['base_url']
GitlinkOauth.redirect_uri = oauth_config['redirect_uri']
